/* ------------------------ args.c ------------------------ */
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "args.h"

int getargs(int * argcp, char **argv, int max) {
   /*Argumente lesen und trennen */
   static char cmd[LINE_LENGTH];
   char * cmdp, *strtok();   /*strtok: naechstes Symbol */
   int i;
   if (fgets(cmd,LINE_LENGTH,stdin) == NULL) {
       printf("terminated\n\n"); exit(0);
   };
   cmdp = cmd;
   for ( i=0; i <= max; i++) {
      if ( (argv[i] = strtok(cmdp, " \t\n") ) == NULL)
         break;
      cmdp = NULL; /*strtok soll weitergehen*/
   }
   if (i > max) {
      fprintf(stderr,"Too many args\n");
      return 0;   /*False*/
   }
   * argcp = i;
   return 1;   /* TRUE*/
}
