/* ------------------------ main.c ------------------------ */

/* Eine Mini-Shell: minishell.c */
#include <stdio.h>
#include <stdlib.h>
#include "sign.h"
#include "args.h"
#include "run.h"

int main() {
   char * argv[MAXARG+1], * prompt;
   int argc, status;
   if ( (ignoresig(SIGINT) == SIG_ERR) || 
        (ignoresig(SIGQUIT) == SIG_ERR) ) {
        perror("ignoresig"); exit(1);
   };

   prompt = "minish> ";
   while (1) {
      printf("%s", prompt);
      if (!getargs(&argc, argv, MAXARG) || argc == 0)
         continue;
      status = run_cmd(argc, argv);
      printf("status: %d\n", status);
   }
   exit(0);
}
