# ------------ makefile for minishell ----------------

minish:    main.o run.o args.o sign.o
    gcc -o minish -Wall main.o run.o args.o sign.o
    # ausfuehrbares Programm: minish
    gcc -o sleepwell sleepwell.c
    # sleepwell: Testprogramm fuer Signale


main.o:    main.c sign.h run.h args.h
    gcc -Wall -c main.c

sign.o:    sign.h sign.c
    gcc -Wall -c sign.c

run.o:    run.h sign.h run.c
    gcc -Wall -c run.c

args.o:    args.h args.c
    gcc -Wall -c args.c

.PHONY: clean realclean
clean:
    rm -f *.o core
realclean:
    rm -f *.o minish sleepwell core
