/* ------------------------ run.c ------------------------ */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/wait.h>
#include "run.h"
#include "sign.h"

int run_cmd(int argc, char **argv) {
   /*Kommando ausf. u. warten*/
   int status, done, pid;

   switch ( pid=fork() ) {
     case -1:
         perror("fork"); return -1;
     case 0:
/*        if ( (entrysig(SIGINT) == SIG_ERR) |
             (entrysig(SIGQUIT) == SIG_ERR) ) {
               perror("entrysig");
               return -1;
        }
        nicht noetig an dieser Stelle, da die 
        Signaleinstellung nicht vererbt wird!
*/
        execvp(argv[0], argv);
        perror("execvp"); exit(2);

     default: do {
                 if ( (done = wait(&status)) < 0) {
                    perror("wait"); exit(2);
                 }
              } while (done != pid);
      
      if ( lowbyte(status) == 0) /*normal termination*/
        return highbyte(status);
      else
        return lowbyte(status);
   }
}
