/* ------------------------ sign.c ------------------------ */

# include "sign.h"
# include <stdio.h>

void myignore(int sig){ return; }

struct sigaction newact, oldact;

Sigfunc ignoresig(int sig) {
   static int first = 1;
   newact.sa_handler = myignore;
   if (first) { first = 0;
      if (sigemptyset(&newact.sa_mask) < 0)
          return SIG_ERR;
      newact.sa_flags = 0;
      newact.sa_flags |= SA_RESTART;
      if (sigaction(sig, &newact, &oldact) < 0)
              return SIG_ERR;
      else
              return oldact.sa_handler;
   } else {
      if (sigaction(sig, &newact, NULL) < 0)
              return SIG_ERR;
      else return NULL;
   }
}

Sigfunc entrysig(int sig)   {
   if (sigaction(sig, &oldact, NULL) < 0 )
      return SIG_ERR;
   else return NULL;
}
